<?php

	// ADD BEFORE-AND-AFTER COPY ON THE PASSWORD ENTRY FORM

	// LINK TO PASSWORD FORM
	add_action( 'the_password_form', 'mc6397ppu_custom_password_form' );
	function mc6397ppu_custom_password_form( $output )

	// ADD CONTENT BEFORE FORM

{
	$beforeForm =

	// CREATE LINK TO PADLOCK GRAPHIC
	$mc6397ppu_lockImage = esc_url (plugins_url( 'mc-protected-page-upgrade/assets/padlock.png' ));

	// DELAY PROCESSING PHP UNTIL LATER (START BUFFER)	
	ob_start();

	echo "<h2>Password Protected</h2>"; echo "<img src='$mc6397ppu_lockImage' width = '100' align = 'left'>" ;

	// CREATE NEW SUBMISSION FORM

    global $post;
    $label = 'pwbox-'.( empty( $post->ID ) ? rand() : $post->ID );
	$output = '<form class="protected-post-form" action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' )) . '" method="post">
    ' . __( "<h3>Enter the Password Below To Access Content</h3>" ) . '
    	<label class="pass-label" for="' . $label . '">' . __( "  " ) . ' </label><input name="post_password" id="' . $label . '" type="password" style="background: #ffffff; border:1px solid #999; color:#333333; padding:2px;" size="20" /><input type="submit" name="Submit" class="button" value="' . esc_attr__( "Submit" ) . '" />
    	</form><p style="font-size:14px;margin:0px;"> </p>
    ';

	echo "<br> <br>";


	// GATHER THE BEFORE-FORM & FORM CONTENTS FROM BUFFER, THEN DUMP THE BUFFER  	
		$mc6397ppu_beforeForm = ob_get_contents();
	  	ob_end_clean();

	// CREATE CONTENT FOR AFTER THE PASSWORD FORM
    	$mc6397ppu_afterForm  = 
	$mc6397ppu_duration_hours = esc_attr (get_option('mc6397ppu_duration_hours')); 
	$mc6397ppu_duration_minutes = esc_attr (get_option('mc6397ppu_duration_minutes')); 
	$mc6397ppu_duration_seconds = esc_attr (get_option('mc6397ppu_duration_seconds')); 

	// DELAY PROCESSING PHP UNTIL LATER (START BUFFER)	
	ob_start();

	if ($mc6397ppu_duration_hours + $mc6397ppu_duration_minutes + $mc6397ppu_duration_seconds < 1) {
    	echo "<span style='font-size:15px'><i>You must always enter the password to see this content.</i></span>";
}
	else {
	echo "<span style='font-size:15px'><i>Once accessed, the password won't be required again for </i></span>";
	echo "<span style='font-size: 15px'><i>";
		if (($mc6397ppu_duration_hours)>0) {echo " $mc6397ppu_duration_hours"; }
		if (($mc6397ppu_duration_hours)==1) {echo " hour"; } else if (($mc6397ppu_duration_hours)>1) {echo " hours"; }

		if (($mc6397ppu_duration_minutes)>0) {echo " $mc6397ppu_duration_minutes"; }
		if (($mc6397ppu_duration_minutes)==1) {echo " minute"; } else if (($mc6397ppu_duration_minutes)>1) {echo " minutes"; }

		if (($mc6397ppu_duration_seconds)>0) {echo " $mc6397ppu_duration_seconds"; }
		if (($mc6397ppu_duration_seconds)==1) {echo " second"; } else if (($mc6397ppu_duration_seconds)>1) {echo " seconds"; }
	echo ".</i></span>";
}

	// GATHER THE AFTER-FORM CONTENTS FROM BUFFER
  	$mc6397ppu_afterForm = ob_get_contents();

	// DUMP THE BUFFER
  	ob_end_clean();

	// SEND CONTENT TO FORM
    	return $mc6397ppu_beforeForm . $output . $mc6397ppu_afterForm ;
}
